/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
/** This is the default request timeout.
 *
 * To be used together with subscribe like so:
 *
 * `service.getItems().pipe(timeout(DEFAULT_REQUEST_TIMEOUT)).subscribe(result => { console.log(result) }, error => { console.log(error) });`
 *
 * If the request is not solved in the default timeout, force to throw an error and handle it on the error branch.
 *
 * The error will look like this: `Error: Timeout has occurred`
 */
export declare var DEFAULT_REQUEST_TIMEOUT: number;
export declare var LANGUAGES: string[];
export declare var DEFAULT_FONT_FAMILY: string;
export declare var SMARTDATA_LXCA_MIN_VER: number;
