import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SortingAndFilteringParamsBuilder } from '../../../classes/sortingFilteringUtils/sortingFilteringUtils';
import * as i0 from "@angular/core";
export declare class AlertsService {
    private http;
    constructor(http: HttpClient);
    getAlerts(builder: SortingAndFilteringParamsBuilder): Observable<any>;
    getAlertsSummary(): Observable<any>;
    getSummaryForOneAlert(id: string): Observable<any>;
    getAlertsStatistics(type: 'sourceType' | 'severity' | 'service' | 'resourceType', days?: number, builder?: SortingAndFilteringParamsBuilder): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AlertsService>;
}
