import { CallHomePrivacyModalLabels } from './call-home-privacy-modal.labels';
import { EventEmitter, OnInit } from '@angular/core';
import { ModalDialogButton } from '../../interfaces/modalDialogButton';
import { DialogModalComponent } from '../dialog-modal/dialog-modal.component';
import * as i0 from "@angular/core";
export declare class CallHomePrivacyModalComponent implements OnInit {
    canDecline: boolean;
    isPrivacyAccepted: EventEmitter<Boolean>;
    privacyModal: DialogModalComponent;
    labels: CallHomePrivacyModalLabels;
    modalButtons: ModalDialogButton[];
    isPrivacyChecked: boolean;
    hasAgreed: boolean;
    constructor();
    ngOnInit(): void;
    openModal(): void;
    togglePrivacyCheck(): void;
    clickedAgreementButton(hasAgreed: boolean): void;
    onModalHide(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CallHomePrivacyModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CallHomePrivacyModalComponent, "ngx-xcng-call-home-privacy-modal", never, { "canDecline": "canDecline"; "labels": "labels"; }, { "isPrivacyAccepted": "isPrivacyAccepted"; }, never, never>;
}
