import { EventEmitter } from '@angular/core';
import DeviceInformationCardLabels from './device-information-card-labels';
import * as i0 from "@angular/core";
export declare class DeviceInformationCardComponent {
    deviceId: string;
    switchType: string;
    accurateHealth: boolean;
    showHostname: boolean;
    showPowerState: boolean;
    labels: DeviceInformationCardLabels;
    deviceInformation: any;
    redirectToManager: EventEmitter<any>;
    redirectIPv4: EventEmitter<any>;
    redirectIPv6: EventEmitter<any>;
    redirectIPv4Manager: EventEmitter<any>;
    redirectIPv6Manager: EventEmitter<any>;
    loading: boolean;
    status: string;
    managerIPV4Adresses: string[];
    managerIPV6Adresses: string[];
    serialNumber: string;
    deviceInfoCardIconConfig: any;
    constructor();
    ngOnChanges(): void;
    externalRedirectToIpv4Address(ip: string, path?: string): void;
    externalRedirectToIpv6Address(ip: string, path?: string): void;
    externalRedirectToManager(): void;
    externalIpv4RedirectToManager(ip: string, inContextHref?: string): void;
    externalIpv6RedirectToManager(ip: string, inContextHref?: string): void;
    checkStatusManager(): string;
    checkIpStatusManager(): string[];
    checkSerialNumber(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceInformationCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceInformationCardComponent, "device-information", never, { "deviceId": "deviceId"; "switchType": "switchType"; "accurateHealth": "accurateHealth"; "showHostname": "showHostname"; "showPowerState": "showPowerState"; "labels": "labels"; "deviceInformation": "deviceInformation"; }, { "redirectToManager": "redirectToManager"; "redirectIPv4": "redirectIPv4"; "redirectIPv6": "redirectIPv6"; "redirectIPv4Manager": "redirectIPv4Manager"; "redirectIPv6Manager": "redirectIPv6Manager"; }, never, ["*"]>;
}
