/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IconsComponent implements OnInit {
    /**
     * Example of classConfig:
     * {
        'severity': {
          'xc-critical': ['Critical'],
          'xc-warning': ['Warning'],
          'xc-normal': ['Normal'],
          'xc-unknown': ['Unknown'],
        },
      }
     */
    classConfig: object;
    /**
     * Example: 'Critical'
     */
    value: string;
    /**
     * Example: 'severity'
     */
    iconType: string;
    iconClass: string;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconsComponent, "ngx-len-icon", never, { "classConfig": "classConfig"; "value": "value"; "iconType": "iconType"; }, {}, never, never>;
}
