export interface Action {
    id: string;
    /**
     * Name of the action, ready to be translated.
     */
    label: string;
    onClick: Function;
    /**
     * Check if user has access to this action.
     */
    canEnable?: Function;
    img?: {
        src: string;
        srcDisabled?: string;
    };
    options?: Action[];
    floatRight?: boolean;
    onlyAllActions?: false;
    showLabel?: boolean;
}
