/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
export declare const lenovo_colors: string[];
export declare var pieRadius: string[];
export declare var borderWidth: number;
export declare var borderColor: string;
export declare var unlabeledSeriesEntry: {
    name: string;
    hoverAnimation: boolean;
    hoverOffset: number;
    tooltip: {
        trigger: string;
    };
    cursor: string;
    itemStyle: {
        color: string;
        borderColor: string;
        borderWidth: number;
        emphasis: {
            color: string;
        };
    };
};
export declare var dcgBlueColorCode: string;
export declare var dcgBlueItemStyle: {
    color: string;
    borderColor: string;
    borderWidth: number;
};
export declare var dcgGrayColorCode: string;
export declare var dcgGrayItemStyle: {
    color: string;
    borderColor: string;
    borderWidth: number;
};
export declare var defaultRedColorCode: string;
export declare var defaultRedItemStyle: {
    color: string;
    borderColor: string;
    borderWidth: number;
};
export declare var defaultOrangeColorCode: string;
export declare var defaultOrangeItemStyle: {
    color: string;
    borderColor: string;
    borderWidth: number;
};
export declare var lightDcgGrayColorCode: string;
export declare var lightDcgGrayItemStyle: {
    color: string;
    borderColor: string;
    borderWidth: number;
};
export declare var defaultShadowColor: string;
/**
 * In case of languages like Russian, the subtext of the doughnut which represents the title is exceeding the bounds of the doughnut chart.
 * For those languages, modify the text size from the initial value to 14 or 15 and if the text contains spaces, modify it and add newlines.
 *
 * This function can be used for all doughnut type graphs in order to match their styling
 * @param options The graph option's
 */
export declare function modifySubtextAccordingToLanguage(options: any): void;
export declare function setMaxValueForBarChartBasedOnSeries(chartOptions: any): number;
