import { OnInit } from '@angular/core';
import { ModalDialogButton } from '../../interfaces/modalDialogButton';
import { CallHomePrivacyModalComponent } from '../call-home-privacy-modal/call-home-privacy-modal.component';
import { CallHomePrivacyModalLabels } from '../call-home-privacy-modal/call-home-privacy-modal.labels';
import { DialogModalComponent } from '../dialog-modal/dialog-modal.component';
import { AboutModalLabels } from './about-modal.labels';
import * as i0 from "@angular/core";
export declare class AboutModalComponent implements OnInit {
    labels: AboutModalLabels;
    callHomePrivacyLabels: CallHomePrivacyModalLabels;
    openSourcesLink: string;
    aplicationUUID: string;
    build: string;
    version: string;
    productLogo: string;
    aboutModal: DialogModalComponent;
    eulaModal: DialogModalComponent;
    privacyModalComponent: CallHomePrivacyModalComponent;
    eulaModalButtons: ModalDialogButton[];
    constructor();
    ngOnInit(): void;
    openAbout(): void;
    openEULA(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AboutModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AboutModalComponent, "ngx-xcng-about-modal", never, { "labels": "labels"; "callHomePrivacyLabels": "callHomePrivacyLabels"; "openSourcesLink": "openSourcesLink"; "aplicationUUID": "aplicationUUID"; "build": "build"; "version": "version"; "productLogo": "productLogo"; }, {}, never, never>;
}
