import { BsModalRef, ModalDirective, ModalOptions } from 'ngx-bootstrap/modal';
import { ModalDialogButton } from '../../interfaces/modalDialogButton';
import * as i0 from "@angular/core";
export declare class DialogModalComponent {
    modal: ModalDirective;
    id: string;
    modalTitle: string;
    class: any;
    buttonText: string;
    buttonArray: ModalDialogButton[];
    formName: string;
    onShowFunc: Function;
    onShownFunc: Function;
    onHideFunc: Function;
    onHiddenFunc: Function;
    disabledCondition: boolean;
    modalRef: BsModalRef;
    config: ModalOptions;
    constructor();
    openModal(): void;
    hideModal(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogModalComponent, "ngx-xcng-dialog-modal", never, { "id": "id"; "modalTitle": "modalTitle"; "class": "class"; "buttonText": "buttonText"; "buttonArray": "buttonArray"; "formName": "formName"; "onShowFunc": "onShowFunc"; "onShownFunc": "onShownFunc"; "onHideFunc": "onHideFunc"; "onHiddenFunc": "onHiddenFunc"; "disabledCondition": "disabledCondition"; }, {}, never, ["*", "[footer]"]>;
}
