/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
import { OnInit, QueryList } from '@angular/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import * as i0 from "@angular/core";
export interface SubLabel {
    label: string;
    count: number;
}
export declare class MiniCardComponent implements OnInit {
    pop: QueryList<PopoverDirective>;
    title: string;
    cardCount: number;
    cardLabel: string;
    subLabels: SubLabel[];
    /** Boolean property to be used by the loading directive, it is needed as input because it has to be placed on the card element */
    loadingStatus: boolean;
    notAvailable: boolean;
    isHyperLinked?: boolean;
    redirectTo?: Function;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MiniCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MiniCardComponent, "ngx-xcng-mini-card", never, { "title": "title"; "cardCount": "cardCount"; "cardLabel": "cardLabel"; "subLabels": "subLabels"; "loadingStatus": "loadingStatus"; "notAvailable": "notAvailable"; "isHyperLinked": "isHyperLinked"; "redirectTo": "redirectTo"; }, {}, never, never>;
}
