/*******************************************************************************
 * Copyright (c) Lenovo 2020.
 *
 *  LIMITED AND RESTRICTED RIGHTS NOTICE: If data or software is delivered
 *  pursuant a General Services Administration (GSA) contract, use, reproduction, or
 *  disclosure is subject to restrictions set forth in Contract No. GS-35F-05925.
 ******************************************************************************/
import { OnInit, QueryList } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import { Action } from '../../interfaces/action';
import * as i0 from "@angular/core";
export declare class TableDropdownComponent implements OnInit {
    private translateSvc;
    nested: boolean;
    action: Action;
    tableId: string;
    disabled: boolean;
    pop: QueryList<PopoverDirective>;
    constructor(translateSvc: TranslateService);
    ngOnInit(): void;
    isDropdownWithImages(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableDropdownComponent, "ngx-xcng-table-dropdown", never, { "nested": "nested"; "action": "action"; "tableId": "tableId"; "disabled": "disabled"; }, {}, never, never>;
}
