import { PipeTransform } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare type ExtendedDateFormat = 'short' | 'medium' | 'long' | 'full' | 'shortDate' | 'mediumDate' | 'longDate' | 'fullDate' | 'shortTime' | 'mediumTime' | 'longTime' | 'fullTime' | 'shortWithoutYear' | 'mediumWithoutYear';
export declare class ExtendedDatePipe implements PipeTransform {
    private translateSvc;
    private locale;
    DEFAULT_FORMAT: ExtendedDateFormat;
    constructor(translateSvc: TranslateService, locale: string);
    transform(date: Date | string, format?: ExtendedDateFormat, forExport?: boolean): string | any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExtendedDatePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ExtendedDatePipe, "extendedDate">;
}
